Bug 198753 - ppp dies almost instantly when uploading data
ppp dies almost instantly when uploading data
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 05:40 EDT by Jani Ollikainen
Modified: 2008-02-05 08:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 08:34:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Card information, pcmcia information, dmesg, messages, debug, strace (32.91 KB, text/plain)
2006-07-13 05:40 EDT, Jani Ollikainen
no flags Details

  None (edit)
Description Jani Ollikainen 2006-07-13 05:40:43 EDT
Description of problem:

pppd dies almost instantly when uploading data.
10-20kB can be uploaded but bigger files hangups.

Sometimes also after surfing the connection gets jammed and
when trying to ping the ping tells the following:

        ping: sendmsg: No buffer space available

And after that connection needs to be restarted.


Version-Release number of selected component (if applicable):
Kernel: 2.6.17-1.2145_FC5
pppd: pppd version 2.4.3

Qt: 3.3.5
KDE: 3.5.2-0.1.fc5 Red Hat
KPPP: 2.3.2

How reproducible:
Always

Steps to Reproduce:
1. Open Internet connection
2. Upload something
3.
  
Actual results:
ppp dies with hangup

Expected results:
no hangup

Additional info:
Extra information in attachment (debug info, strace)...
Comment 1 Jani Ollikainen 2006-07-13 05:40:43 EDT
Created attachment 132358 [details]
Card information, pcmcia information, dmesg, messages, debug, strace
Comment 2 Jani Ollikainen 2006-07-13 05:45:39 EDT
And I forgot to mention, I've tested with some usual kernel parameters which
could help. Machine is Fujitsu-Siemens C-Series (C1320D) laptop.

Tried parameters: acpi=off noapic pci=routeirq

One thing about noapic makes me wonder, it still says:
"Found and enabled local APIC"

But no help with those.
Comment 3 Jani Ollikainen 2006-07-13 06:02:42 EDT
Something more still:

Works nicely with old Option Globetrotter same operator and sim card
and v2 model of Vodafode branded Globetrotter (v1 has broken .cis and don't know
how to put valid when card is inserted with fc5 new system).

Operator has told that their system doesn't see anything wrong.

I were told that this isn't ppp's fault, and i were thinking that the problem
lies somewhere in the kernel.. But maybe not then..

Continue my efforts to make it work..
Comment 4 Thomas Woerner 2006-07-13 06:14:33 EDT
Is the pppd server dying?

Can you please start the pppd server in gdb and get a traceback? It would help
if you install the pppd-debuginfo package for this.
Comment 5 Jani Ollikainen 2006-07-14 02:37:42 EDT
Ok, used gdb and well ppp don't die, no core, no backtrace.
It just gets the "SIGHUP" -> Hangup from somewhere..

Comment 6 Thomas Woerner 2006-07-14 05:36:57 EDT
This seems to be a kernel problem. Assigning to kernel.
Comment 7 Jose Pedro Oliveira 2006-07-29 18:53:16 EDT
I have a similar problem in my FC-5 system: my ADSL connection freezes a couple
of seconds after establishing a successful connection.

This only happens with the 2.6.17 update kernels; no problems with previous ones
(2.6.16). Right now I using the kernel 2.6.16-1.2133_FC5.

ADSL USB modem: Tompshon SpeedTouch 330.
Comment 8 Jose Pedro Oliveira 2006-08-16 13:31:46 EDT
(In reply to comment #7)
> I have a similar problem in my FC-5 system: my ADSL connection freezes a couple
> of seconds after establishing a successful connection.
> 
> This only happens with the 2.6.17 update kernels; no problems with previous ones
> (2.6.16). Right now I using the kernel 2.6.16-1.2133_FC5.
> 
> ADSL USB modem: Tompshon SpeedTouch 330.


It now works with kernel 2.6.17-1.2174_FC5.
Comment 9 Dave Jones 2006-10-16 17:54:22 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Dave Jones 2006-11-24 17:20:11 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 11 Jon Stanley 2008-02-05 08:34:54 EST
Closing since there was an error in previous mass-close and they remained in
NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.